Page MenuHomePhabricator

[msan] Intercept sendmmsg, recvmmsg.
ClosedPublic

Authored by eugenis on Dec 28 2017, 5:15 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

eugenis created this revision.Dec 28 2017, 5:15 PM
vitalybuka added inline comments.Jan 2 2018, 6:33 PM
compiler-rt/lib/sanitizer_common/sanitizer_common_interceptors.inc
2860 ↗(On Diff #128311)

Do you need to check read first?
COMMON_INTERCEPTOR_READ_RANGE(ctx, msgvec,

sizeof(*msgvec);
2956 ↗(On Diff #128311)

same here

eugenis added inline comments.Jan 3 2018, 2:19 PM
compiler-rt/lib/sanitizer_common/sanitizer_common_interceptors.inc
2860 ↗(On Diff #128311)

You mean before REAL(recvmmsg)? For MSan, that would require than *msgvec is initialized by the caller.

For ASan, that would be desirable, but it does not fit the read/write model of these interceptors.

vitalybuka accepted this revision.Jan 3 2018, 3:20 PM
This revision is now accepted and ready to land.Jan 3 2018, 3:20 PM
This revision was automatically updated to reflect the committed changes.